Zum Inhalt springen
Leadtime
Deutsch
Esc
navigierenöffnen⌘Jvorschau

Export project documentation as PDF

Exports one page, one folder subtree, or the complete ordered project documentation tree. Folder and project exports include a title page and generated table of contents. Unchanged exports reuse the PDF cache.

POST/projects/documentation/pdf
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
projectIdstringrequired
Project UUID. This field does not accept a project short identifier. Omit rootNodeId to export the complete ordered documentation tree.
rootNodeIdstring
Page or folder node UUID. A page exports one page. A folder exports its ordered subtree.
Responses
200Generated or cached PDF file
string
400Invalid project or root node UUID, or an export safety limit was exceeded.
errorstring | object
HTTP error name or a structured HTTP exception response.
Show properties
One of:
string
string
object
object
messagestring | string[] | objectrequired
Error message, validation message list, or request-field validation message map.
Show properties
One of:
string
string
string[]
Array of string
string
object
object
statusCodenumberrequired
HTTP status code for this response.
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404The project or selected root node does not exist or is not accessible.
errorstring | object
HTTP error name or a structured HTTP exception response.
Show properties
One of:
string
string
object
object
messagestring | string[] | objectrequired
Error message, validation message list, or request-field validation message map.
Show properties
One of:
string
string
string[]
Array of string
string
object
object
statusCodenumberrequired
HTTP status code for this response.
Request
curl -X POST "https://leadtime.app/api/public/projects/documentation/pdf" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "rootNodeId": "550e8400-e29b-41d4-a716-446655440001"
}'
Response
"string"